﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RadAjaxAndRadConfirm.aspx.cs"
    Inherits="RadAjaxAndRadConfirm" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server" />
    <div>
        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
            <AjaxSettings>
                <telerik:AjaxSetting AjaxControlID="Button1">
                    <UpdatedControls>
                        <telerik:AjaxUpdatedControl ControlID="Label1" />
                    </UpdatedControls>
                </telerik:AjaxSetting>
            </AjaxSettings>
        </telerik:RadAjaxManager>
        <telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">

            <script type="text/javascript">
                //the following code use radconfirm to mimic the blocking of the execution thread.
                //The approach has the following limitations:
                //1. It works inly for elements that have *click* method, e.g. links and buttons
                //2. It cannot be used in if(!confirm) checks
                window.blockConfirm = function(text, mozEvent, oWidth, oHeight, callerObj, oTitle) {
                    var ev = mozEvent ? mozEvent : window.event; //Moz support requires passing the event argument manually 
                    //Cancel the event 
                    ev.cancelBubble = true;
                    ev.returnValue = false;
                    if (ev.stopPropagation) ev.stopPropagation();
                    if (ev.preventDefault) ev.preventDefault();

                    //Determine who is the caller 
                    var callerObj = ev.srcElement ? ev.srcElement : ev.target;

                    //Call the original radconfirm and pass it all necessary parameters 
                    if (callerObj) {
                        //Show the confirm, then when it is closing, if returned value was true, automatically call the caller's click method again. 
                        var callBackFn = function(arg) {
                            if (arg) {
                                $find("<%= RadAjaxManager1.ClientID %>").ajaxRequestWithTarget("<%= Button1.UniqueID %>", "");
                            }
                        }
                        radconfirm(text, callBackFn, oWidth, oHeight, callerObj, oTitle);
                    }
                } 

            </script>

        </telerik:RadCodeBlock>
        <asp:Button ID="Button1" runat="server" Text="Button" OnClick="Button1_Click" 
            OnClientClick="blockConfirm('Are you sure you want to postback?', event, 330, 100,'','Custom title'); return false;" />
        <asp:Label ID="Label1" runat="server"></asp:Label>
        <telerik:RadWindowManager ID="RadWindowManager1" runat="server">
        </telerik:RadWindowManager>
    </div>
    </form>
</body>
</html>
